#
# spec file for package xcowsay
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xcowsay
Version:        1.6
Release:        1.10
Summary:        Tool that displays a cow and message on the X11 desktop
License:        GPL-3.0-or-later
Group:          Amusements/Toys/Other
URL:            https://www.doof.me.uk/xcowsay/
Source:         https://github.com/nickg/xcowsay/releases/download/v%{version}/xcowsay-%{version}.tar.gz
Source1:        xcowsay.desktop
Source2:        xcowsay.svg
Source3:        xcowhelp.desktop
Source4:        xcowhelp.svg
Source5:        xcowhelp
BuildRequires:  dbus-1-glib-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtk3-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
Requires:       fortune
Requires:       gtk2

%description
xcowsay displays a cow and message on the X11 desktop.
Inspired by the original cowsay.

xcowsay includes all these amazing features:
- Fully configurable.
- Calculates display time from amount of text
- Dream mode — display images in the bubble
- Can draw thought and speech bubbles
- Daemon mode. Send your cow messages over DBus.
- Three different sized cows provided
- fortune(6) wrapper program - (unavailable temporarily)
- Replace the naffness that is xmessage(1)
- Should work with any window manager
- Supports UTF-8 characters properly
- Automatic word wrapping
- Use alternative non-cow images if you like

%prep
%setup -q

%build
%configure --enable-dbus
%make_build

%install
%make_install
%find_lang xcowsay
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
cp -a %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
cp -a %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
chmod +x %{SOURCE5}
cp -a %{SOURCE5} %{buildroot}%{_bindir}/
%suse_update_desktop_file -i xcowsay
%suse_update_desktop_file -i xcowhelp
rm %{buildroot}%{_datadir}/pixmaps/xcowhelp

%files -f xcowsay.lang
%license COPYING
%doc ChangeLog README AUTHORS
%{_bindir}/xcowdream
%{_bindir}/xcowsay
%{_bindir}/xcowthink
%{_bindir}/xcowfortune
%{_bindir}/xcowhelp
%{_mandir}/man6/xcowsay.6%{?ext_man}
%{_datadir}/xcowsay
%{_datadir}/applications/xcowhelp.desktop
%{_datadir}/applications/xcowsay.desktop
%{_datadir}/icons/hicolor/

%changelog
* Tue Jan 25 2022 Avinesh Kumar <avinesh.kumar@suse.com>
- update to 1.6:
  * Fix portability issues with signed vs unsigned chars in the config
    file parser (thanks to Charlène Wendling).
  * The -t option now allows fractional time values (e.g. -t 0.5 to
    display for half a second).
  * Set window type hint to notification to avoid shadows and other
    decorations (thanks to Markus Demleitner).
  * Add support for right-to-left text (thanks to @ilevi-code).
* Fri Oct  9 2020 Dirk Mueller <dmueller@suse.com>
- update to 1.5.1:
  * Fix black squares around cow and bubble on non-compositing window manager
* Sun Feb  9 2020 wnereiz@member.fsf.org
- Upgrade to version 1.5
  Changes:
  * Updated from Gtk2/GDK to Gtk3/Cairo. Note that because of the removal
    of the `gtk_widget_shape_combine_mask' API that xcowsay used for
    transparency, we now rely on the alpha channel of the window and a
    compositing window manager for this.
  * As a side effect of this, the bubble is now anti-aliased, fixing a
    long-standing issue.
  * Unfortunately running xcowsay without a compositor is no longer
    supported. If this affects you please continue to use 1.4 as there are
    no functional changes in 1.5.
  * The cow position is more random (thanks to Tony Finch).
- Update souce link to use tarball from github
* Mon Apr 15 2019 Jan Engelhardt <jengelh@inai.de>
- Ensure neutrality of descriptions.
* Fri Apr 12 2019 wnereiz@fsf.member.org
- Bump version to 1.4
- Re-add xcowfortune because fortune is still and will be continue supported
* Sat Nov 25 2017 wnereiz@fsf.member.org
- Remove xcowfortune ("remove_xcowfortune.patch") because fortune will be dropped.
- Add xcowsay.svg and xcowsay.desktop
* Fri Jan  1 2016 wnereiz@fsf.member.org
- Init the xcowsay spec file
